名字长不好绕树林! 2022-03-29 19:36 采纳率: 50%
浏览 148
已结题

使用OSGeo4W进行二次地理信息系统开发程序报错找不到指定模块

使用OSGeo4W进行二次地理信息系统开发,之前一直是OSGeo4W64环境下完成,换电脑后下载为python3.9环境

错误提示代码所在位置为“form qgis.core import *"

运行结果错误显示如图所示:

img

同样在网上找了相关方法,推荐是使用Dependency来找到相关的依赖库,但是自己确实水平有限,还希望能够得到帮助。

谢谢!

  • 写回答

7条回答 默认 最新

  • 急速光粒 2022-03-29 20:51
    关注

    你的qgis python程序引用的dll不在python的搜索路径中,可用环境变量PYTHONPATH将dll路劲添加进去即可。如果不清楚要添加的路径,用depends查看一下。

    本回答被题主选为最佳回答 , 对您是否有帮助呢?
    评论
查看更多回答(6条)

报告相同问题?

问题事件

  • 系统已结题 4月13日
  • 已采纳回答 4月5日
  • 创建了问题 3月29日

悬赏问题

  • ¥20 R语言单细胞测序 对seurat对象进行标准化时出现问题
  • ¥15 Anaconda navigator updateor一直更新
  • ¥15 请问如何在matlab里使用raven工具?
  • ¥100 关于ios手游充值到一定金额,再点充值提示公众号的问题。
  • ¥15 求一个stm32串口控制程序
  • ¥20 Windows 驱动开发版本疑问相关
  • ¥15 MAC 未能打开磁盘映像
  • ¥15 fastcap使用,二维导体输入问题
  • ¥15 hosts修改后不能访问
  • ¥15 关于化学反应速率C++编译问题/FLUENT